%define        majver    %(echo %version | cut -d. -f 1-2)

Name:          libpangomm
Version:       2.36.0
Release:       1mamba
Summary:       C++ interface for Pango
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://gtkmm.sourceforge.net/
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/pangomm/%{majver}/pangomm-%{version}.tar.xz
License:       LGPL
BuildRequires: doxygen 
BuildRequires: graphviz
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libcairo-devel
BuildRequires: libcairomm-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libpango-devel
BuildRequires: libsigc++2-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} provides a C++ interface to the Pango library. Highlights include typesafe callbacks, widgets extensible via inheritance and a comprehensive set of widget classes that can be freely combined to quickly create complex user interfaces.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
%{name} provides a C++ interface to the Pango library. Highlights include typesafe callbacks, widgets extensible via inheritance and a comprehensive set of widget classes that can be freely combined to quickly create complex user interfaces.

This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} provides a C++ interface to the Pango library. Highlights include typesafe callbacks, widgets extensible via inheritance and a comprehensive set of widget classes that can be freely combined to quickly create complex user interfaces.

This package contains %{name} API documentation.

%prep

%setup -q -n pangomm-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

## Fix documentation installation
#mkdir -p %{buildroot}%{_datadir}/gtk-doc/html/pangomm-1.4
#mv %{buildroot}%{_docdir}/pangomm-1.4/* %{buildroot}%{_datadir}/gtk-doc/html/pangomm-1.4/
#mv %{buildroot}%{_datadir}/devhelp/books/pangomm-1.4/*.devhelp %{buildroot}%{_datadir}/gtk-doc/html/pangomm-1.4
#sed -i 's:../../../doc/pangomm-1.4/docs/:docs/:' %{buildroot}%{_datadir}/gtk-doc/html/pangomm-1.4/*.devhelp
#rm -r %{buildroot}%{_docdir}/pangomm-1.4

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING ChangeLog NEWS README README.SUN README.win32

%files devel
%defattr(-,root,root)
%dir %{_includedir}/pangomm-1.4
%{_includedir}/pangomm-1.4/*.h
%dir %{_includedir}/pangomm-1.4/pangomm
%{_includedir}/pangomm-1.4/pangomm/*.h
%dir %{_includedir}/pangomm-1.4/pangomm/private
%{_includedir}/pangomm-1.4/pangomm/private/*.h
%{_libdir}/pangomm-1.4/proc/m4/convert*.m4
%{_libdir}/pangomm-1.4/include/pangommconfig.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files apidocs
%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/pangomm-1.4
#%{_datadir}/gtk-doc/html/pangomm-1.4/*
%{_datadir}/devhelp/books/pangomm-1.4/pangomm-1.4.devhelp2
%{_docdir}/pangomm-1.4/images/gtkmm_logo.gif
%{_docdir}/pangomm-1.4/images/top.gif
%dir %{_docdir}/pangomm-1.4/
%{_docdir}/pangomm-1.4/reference

%changelog
* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Wed Apr 24 2013 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic version update by autodist

* Wed Oct 26 2011 Automatic Build System <autodist@mambasoft.it> 2.28.4-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 2.28.3-1mamba
- update to 2.28.3

* Wed Apr 06 2011 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Thu Dec 09 2010 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update to 2.26.3 by autodist

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.2-2mamba
- rebuilt with libpng 1.4

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update to 2.26.2 by autodist

* Mon Dec 01 2008 gil <puntogil@libero.it> 2.14.1-1mamba
- package created by autospec
